﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using System.Configuration;
using ThinkGeo.MapSuite.WebEdition;

namespace showpolygon
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                mapMain.MapUnit = GeographyUnit.Meter;
                mapMain.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#F3F3EB"));
                mapMain.MapTools.AnimationPanMapTool.Enabled = true;
                AddLayerFromSQL("GiaoThong");
            }
        }

        public void AddLayerFromSQL(string tableName)
        {
            string connectString = ConfigurationManager.ConnectionStrings["WebGISConnectionString"].ConnectionString;
            MsSql2008FeatureLayer myroadLayer = new MsSql2008FeatureLayer(connectString, tableName, "ID");
            myroadLayer.Srid = 4326;
            myroadLayer.Open();
            TextStyle textStyle = new TextStyle("Text", new GeoFont("Arial", 11), new GeoSolidBrush(GeoColor.FromHtml("#191917")));
            textStyle.DuplicateRule = LabelDuplicateRule.UnlimitedDuplicateLabels;
            textStyle.ForceHorizontalLabelForLine = true;
            // myroadLayer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle.ForceHorizontalLabelForLine = true;
            myroadLayer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle = textStyle;
            myroadLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle.FillSolidBrush.Color = GeoColor.FromHtml("#F7BE21");
            //  myroadLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle.OutlinePen.Color = GeoColor.FromHtml("#F7BE21");
            myroadLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            mapMain.CurrentExtent = myroadLayer.GetBoundingBox();
            myroadLayer.Close();
            LayerOverlay VNOverlay = new LayerOverlay("VNLayer");
            VNOverlay.Layers.Add(tableName, myroadLayer);
            mapMain.CustomOverlays.Add(VNOverlay);

        }
       
    }
}